function plotFoil(varargin)
%plotFoil Plot airfoil based on ordinates for the mean camber line, and upper
%and lower surfaces. Can also accept axes handle and string for the title.

switch nargin
    case 4 %ordinates only
        %load ordinates
        X_c=varargin{1};
        Y_c=varargin{2};
        X_s=varargin{3};
        Y_s=varargin{4};
        
        %plot and label
        plot(X_c,Y_c,'r--',...
            X_s,Y_s,'b');
        axis equal
        legend('Mean Camber')
    case 5 %string or axes handle
        try 
            ax=varargin{1};
            axes(ax);
        catch
            NACAnum=varargin{5};
        end
        %load ordinates
        X_c=varargin{1};
        Y_c=varargin{2};
        X_s=varargin{3};
        Y_s=varargin{4};
        
        %plot and label
        plot(X_c,Y_c,'r--',...
            X_s,Y_s,'b');
        axis equal
        legend('Mean Camber')
        titstr=['NACA ' NACAnum ' Airfoil'];
        title(titstr)
    case 6 %axes handle and string: plotFoil(ax,X_c,Y_c,X_s,Y_s,NACAnum)
        %load axes and make axes current
        ax=varargin{1};
        axes(ax);
        
        %load ordinates
        X_c=varargin{2};
        Y_c=varargin{3};
        X_s=varargin{4};
        Y_s=varargin{5};
        
        %load NACA number
        NACAnum=varargin{6};
        
        %plot and label
        plot(X_c,Y_c,'r--',...
            X_s,Y_s,'b');
        axis equal
        legend('Mean Camber')
        titstr=['NACA ' NACAnum ' Airfoil'];
        title(titstr)
end
