function varargout=plotNACA(NACAnum,CHORD,AOI,varargin)
%plotNACA Plots an airfoil given the NACA number, chord length, and angle
%of incidence. Can also plot to a specified axes handle.

switch nargin
    case 1 %bare minimum
        [X_c,Y_c,X_s,Y_s] = NACA(NACAnum);
        plotFoil(X_c,Y_c,X_s,Y_s);
    case 2 %chord only
        [X_c,Y_c,X_s,Y_s] = NACA(NACAnum,CHORD);
        plotFoil(X_c,Y_c,X_s,Y_s);
    case 3 %chord and AOI
        [X_c,Y_c,X_s,Y_s] = NACA(NACAnum,CHORD,AOI);
        plotFoil(X_c,Y_c,X_s,Y_s);
    case 4 %chord, AOI, axes handle
        ax=varargin{1};
        [X_c, Y_c, X_s, Y_s] = NACA(NACAnum,CHORD,AOI);
        plotFoil(ax,X_c,Y_c,X_s,Y_s,NACAnum);
end

if nargout==4
    varargout{1}=X_c;
    varargout{2}=Y_c;
    varargout{3}=X_s;
    varargout{4}=Y_s;
end
end