function [X Y] = rotate(A,theta)
%ROTATE - User defined function for airfoilGUI.m. Rotates matrices.
%   Inputs are a nx2 matrix whose columns are X and Y coordinates, 
%   followed by scalar angle (measured in radians) to rotate
%   the matrix by. Outputs are two row vectors of the transformed X and Y coordinates. 

B=[cos(theta) -sin(theta); sin(theta) cos(theta)]; %Creates rotation matrix.
C=A*B;
X=C(:,1)';
Y=C(:,2)';
end

